Uses DOS;
Var
  HDRFile : text;
  SearchHDR : SearchRec;
  i : integer;
  inpstr : string;
Begin
  FindFirst('*.hdr',AnyFile,searchHDR);
  if doserror = 0 then repeat
    Assign(HdrFile,SearchHdr.name);
    Reset(HDRFile);
    ReadLn(hdrfile,inpstr);
    Delete(InpStr,1,8);
    if pos('CRACK',inpstr) = 0 then
     begin
      if pos('DEMO',inpstr) = 0 then
       begin
        if pos('GAME',inpstr) = 0 then
          begin
            if pos('HACKER',inpstr) = 0 then
              begin
               Close(HDRFile);
               Rename(HDRFile,'c:\fido\autouue\files'+SearchHDR.name);
              end
            else
             begin
              Close(HDRFile);
              Rename(HDRFile,'c:\fido\files\uue\HACKER\'+SearchHDR.name);
            end;
          end
        else
          begin
            Close(HDRFile);
            Rename(HDRFile,'c:\fido\files\uue\sols\'+SearchHDR.name);
          end;
       end
     else
      begin
       Close(HDRFile);
       Rename(HDRFile,'c:\fido\files\uue\demostuf\'+SearchHDR.name);
      end;
    end
     else
      begin
       Close(HDRFile);
       Rename(HDRFile,'c:\fido\files\uue\crack\'+SearchHDR.name);
      end;
    FindNext(SearchHDR)
  until DosError <> 0;
End.
